package com.bbitcn.silk.model.net;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * @Description TODO
 * @Author DuanKaiji
 * @CreateTime 2024年04月01日 11:00:56
 */
public class TodayPrice {

    @SerializedName("result")
    private Boolean result;
    @SerializedName("msg")
    private String msg;
    @SerializedName("data")
    private DataDTO data;

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("RefreshTime")
        private String refreshTime;
        @SerializedName("Items")
        private List<ItemsDTO> items;

        public String getRefreshTime() {
            return refreshTime;
        }

        public void setRefreshTime(String refreshTime) {
            this.refreshTime = refreshTime;
        }

        public List<ItemsDTO> getItems() {
            return items;
        }

        public void setItems(List<ItemsDTO> items) {
            this.items = items;
        }

        public static class ItemsDTO {
            @SerializedName("name")
            private String name;
            @SerializedName("minprice")
            private String minprice;
            @SerializedName("maxprice")
            private String maxprice;

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getMinprice() {
                return minprice;
            }

            public void setMinprice(String minprice) {
                this.minprice = minprice;
            }

            public String getMaxprice() {
                return maxprice;
            }

            public void setMaxprice(String maxprice) {
                this.maxprice = maxprice;
            }
        }
    }
}
